﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls;

namespace XamZoomarWidth
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private ObservableCollection<ChartData> _data;

        public MainWindow()
        {
            InitializeComponent();


            _data = ChartData.GenerateData();


            var binding = new Binding
            {
                Source = FlowChart,
                Path = new PropertyPath("HorizontalZoombar.Range"),
                Mode = BindingMode.TwoWay
            };
            zoombar1.SetBinding(XamZoombar.RangeProperty, binding);
            zoombar1.Range = new Range { Minimum = 0, Maximum = .2 };
            DataContext = _data;

        }

        private void asd_MouseDown(object sender, MouseButtonEventArgs e)
        {
            //e.Handled = true;
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            zoombar1.Range.Maximum = zoombar1.Range.Maximum + 10;
        }

        private void zoombar1_KeyDown_1(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Right)
            {
                zoombar1.Range = new Range() { Minimum = zoombar1.Range.Minimum + .01, Maximum = zoombar1.Range.Maximum + .01 };
                
                //zoombar1.Range.Maximum = zoombar1.Range.Maximum + .01;
                //zoombar1.Range.Minimum = zoombar1.Range.Minimum + .01;  
            }
             
            if (e.Key == Key.Left)
            {
                zoombar1.Range = new Range() { Minimum = zoombar1.Range.Minimum - .01, Maximum = zoombar1.Range.Maximum - .01 };
                //zoombar1.Range.Maximum = zoombar1.Range.Maximum - .01;
                //zoombar1.Range.Minimum = zoombar1.Range.Minimum - .01;
            }
        }

        public class ChartData
        {

            public DateTime TimeStamp { get; set; }
            public double Flow { get; set; }

            public ChartData()
            {

            }

            public static ObservableCollection<ChartData> GenerateData()
            {
                var data = new ObservableCollection<ChartData>();
                for (int i = 0; i < 60; i++)
                {

                    var row = new ChartData
                        {

                            TimeStamp = DateTime.Now.Add(TimeSpan.FromDays(i)),
                            Flow = i
                        };
                    data.Add(row);
                }

                return data;
            }
        }

        private void zoombar1_ZoomChanged_1(object sender, ZoomChangedEventArgs e)
        {
            //FlowChart.WindowRectChanged += FlowChart_WindowRectChanged;
        }    

       
        private void FlowChart_WindowRectChanged_2(object sender, Infragistics.RectChangedEventArgs e)
        {
           
        }
    }
}
